; THIS SCRIPT WILL MERGE TWO INCOMPATIBLE PARADOX TABLES INTO ONE ;;;;;
; IT WILL 1) DETERMINE THE STRUCTURE AND UNIQUE FIELDS IN EACH ONE 
;         2) CREATE A NEW TABLE CALLED "MERGED" 
;         3) AND TRANSFER THE RECORDS FROM EACH TABLE INTO THE 
;            MERGED TABLE
; IT SHOULD WORK WITH UP TO 60 TOTAL FIELDS ;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; WRITTEN BY JACK OLIVIERI - 73270,2115
;; FREEWARE ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


DYNARRAY TableName[]
DYNARRAY TABL1[]
DYNARRAY TABL2[]
DYNARRAY TABL3[]
DYNARRAY FLDTYPE[]
DYNARRAY FLDTYPE2[]
ARRAY TRANS[60]

echo normal
WINDOW CREATE @5,15 width 50 height 6 to DISPLAYWINDOW
; Ask for Table Names

FOR COUNT from 1 to 2 
? " Enter Table Name #",COUNT,": " 
 ACCEPT "A8" to TableName[COUNT]
ENDFOR
ECHO OFF
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;READ all field names and types from Tables
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
MESSAGE "ANALYZING TABLE ",TABLENAME[1]
View TableName[1]
  For Count from 1 to Nfields(TableName[1])
        RIGHT
        TABL1[COUNT]=field()
        FLDTYPE[COUNT]=TYPE([])
  ENDFOR

MESSAGE "ANALYZING TABLE ",TABLENAME[2]
View TableName[2]
  For Count from 1 to Nfields(TableName[2])
        RIGHT
        TABL2[COUNT]=field()
        FLDTYPE2[count]=TYPE([])
  ENDFOR

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;        
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Determine unique fields
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

MESSAGE "DETERMINING UNIQUE FIELDS"
NEW=NFIELDS(TABLENAME[1])+1

FOR FLID from 1 to NFIELDS(TABLENAME[2])
    IF Type(FIELDNO(TABL2[FLID],TABLENAME[1]))="A5" then ; unique field
        Tabl1[NEW]=TABL2[FLID]                           ; add to tabl1 array 
        FLDTYPE[NEW]=FLDTYPE2[FLID]                      ; determine new field type
        NEW=NEW+1                                        ; increment unique field counter
      ENDIF
ENDFOR

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; CREATE NEW TABLE 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
IF ISTABLE("MERGED") THEN
Delete "MERGED"
ENDIF
TOTALs=DYNARRAYSIZE (TABL1)
MESSAGE "CREATING NEW TABLE"
SWITCH

CASE Totals=3:
        Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3]
        
CASE Totals=4:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4]
        
CASE Totals=5:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5]
        
CASE Totals=6:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6]
        
CASE Totals=7:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7]
        
CASE Totals=8:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8]
        
CASE Totals=9:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9]
        
CASE Totals=10:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10]
        
CASE Totals=11:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11]
        
CASE Totals=12:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12]
        
CASE Totals=13:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13]
        
CASE Totals=14:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14]
        
CASE Totals=15:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15]
        
CASE Totals=16:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16]
        
CASE Totals=17:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17]
        
CASE Totals=18:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17],
        Tabl1[18]:Fldtype[18]
        
CASE Totals=19:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17],
        Tabl1[18]:Fldtype[18],
        Tabl1[19]:Fldtype[19]
        
CASE Totals=20:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17],
        Tabl1[18]:Fldtype[18],
        Tabl1[19]:Fldtype[19],
        Tabl1[20]:Fldtype[20]
        
CASE Totals=21:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17],
        Tabl1[18]:Fldtype[18],
        Tabl1[19]:Fldtype[19],
        Tabl1[20]:Fldtype[20],
        Tabl1[21]:Fldtype[21]
        
CASE Totals=22:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17],
        Tabl1[18]:Fldtype[18],
        Tabl1[19]:Fldtype[19],
        Tabl1[20]:Fldtype[20],
        Tabl1[21]:Fldtype[21],
        Tabl1[22]:Fldtype[22]
        
CASE Totals=23:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17],
        Tabl1[18]:Fldtype[18],
        Tabl1[19]:Fldtype[19],
        Tabl1[20]:Fldtype[20],
        Tabl1[21]:Fldtype[21],
        Tabl1[22]:Fldtype[22],
        Tabl1[23]:Fldtype[23]
        
CASE Totals=24:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17],
        Tabl1[18]:Fldtype[18],
        Tabl1[19]:Fldtype[19],
        Tabl1[20]:Fldtype[20],
        Tabl1[21]:Fldtype[21],
        Tabl1[22]:Fldtype[22],
        Tabl1[23]:Fldtype[23],
        Tabl1[24]:Fldtype[24]
        
CASE Totals=25:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17],
        Tabl1[18]:Fldtype[18],
        Tabl1[19]:Fldtype[19],
        Tabl1[20]:Fldtype[20],
        Tabl1[21]:Fldtype[21],
        Tabl1[22]:Fldtype[22],
        Tabl1[23]:Fldtype[23],
        Tabl1[24]:Fldtype[24],
        Tabl1[25]:Fldtype[25]
        
CASE Totals=26:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17],
        Tabl1[18]:Fldtype[18],
        Tabl1[19]:Fldtype[19],
        Tabl1[20]:Fldtype[20],
        Tabl1[21]:Fldtype[21],
        Tabl1[22]:Fldtype[22],
        Tabl1[23]:Fldtype[23],
        Tabl1[24]:Fldtype[24],
        Tabl1[25]:Fldtype[25],
        Tabl1[26]:Fldtype[26]
        
CASE Totals=27:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17],
        Tabl1[18]:Fldtype[18],
        Tabl1[19]:Fldtype[19],
        Tabl1[20]:Fldtype[20],
        Tabl1[21]:Fldtype[21],
        Tabl1[22]:Fldtype[22],
        Tabl1[23]:Fldtype[23],
        Tabl1[24]:Fldtype[24],
        Tabl1[25]:Fldtype[25],
        Tabl1[26]:Fldtype[26],
        Tabl1[27]:Fldtype[27]
        
CASE Totals=28:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17],
        Tabl1[18]:Fldtype[18],
        Tabl1[19]:Fldtype[19],
        Tabl1[20]:Fldtype[20],
        Tabl1[21]:Fldtype[21],
        Tabl1[22]:Fldtype[22],
        Tabl1[23]:Fldtype[23],
        Tabl1[24]:Fldtype[24],
        Tabl1[25]:Fldtype[25],
        Tabl1[26]:Fldtype[26],
        Tabl1[27]:Fldtype[27],
        Tabl1[28]:Fldtype[28]
        
CASE Totals=29:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17],
        Tabl1[18]:Fldtype[18],
        Tabl1[19]:Fldtype[19],
        Tabl1[20]:Fldtype[20],
        Tabl1[21]:Fldtype[21],
        Tabl1[22]:Fldtype[22],
        Tabl1[23]:Fldtype[23],
        Tabl1[24]:Fldtype[24],
        Tabl1[25]:Fldtype[25],
        Tabl1[26]:Fldtype[26],
        Tabl1[27]:Fldtype[27],
        Tabl1[28]:Fldtype[28],
        Tabl1[29]:Fldtype[29]
        
CASE Totals=30:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17],
        Tabl1[18]:Fldtype[18],
        Tabl1[19]:Fldtype[19],
        Tabl1[20]:Fldtype[20],
        Tabl1[21]:Fldtype[21],
        Tabl1[22]:Fldtype[22],
        Tabl1[23]:Fldtype[23],
        Tabl1[24]:Fldtype[24],
        Tabl1[25]:Fldtype[25],
        Tabl1[26]:Fldtype[26],
        Tabl1[27]:Fldtype[27],
        Tabl1[28]:Fldtype[28],
        Tabl1[29]:Fldtype[29],
        Tabl1[30]:Fldtype[30]
        
CASE Totals=31:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17],
        Tabl1[18]:Fldtype[18],
        Tabl1[19]:Fldtype[19],
        Tabl1[20]:Fldtype[20],
        Tabl1[21]:Fldtype[21],
        Tabl1[22]:Fldtype[22],
        Tabl1[23]:Fldtype[23],
        Tabl1[24]:Fldtype[24],
        Tabl1[25]:Fldtype[25],
        Tabl1[26]:Fldtype[26],
        Tabl1[27]:Fldtype[27],
        Tabl1[28]:Fldtype[28],
        Tabl1[29]:Fldtype[29],
        Tabl1[30]:Fldtype[30],
        Tabl1[31]:Fldtype[31]
        
CASE Totals=32:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17],
        Tabl1[18]:Fldtype[18],
        Tabl1[19]:Fldtype[19],
        Tabl1[20]:Fldtype[20],
        Tabl1[21]:Fldtype[21],
        Tabl1[22]:Fldtype[22],
        Tabl1[23]:Fldtype[23],
        Tabl1[24]:Fldtype[24],
        Tabl1[25]:Fldtype[25],
        Tabl1[26]:Fldtype[26],
        Tabl1[27]:Fldtype[27],
        Tabl1[28]:Fldtype[28],
        Tabl1[29]:Fldtype[29],
        Tabl1[30]:Fldtype[30],
        Tabl1[31]:Fldtype[31],
        Tabl1[32]:Fldtype[32]
     
CASE Totals=33:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17],
        Tabl1[18]:Fldtype[18],
        Tabl1[19]:Fldtype[19],
        Tabl1[20]:Fldtype[20],
        Tabl1[21]:Fldtype[21],
        Tabl1[22]:Fldtype[22],
        Tabl1[23]:Fldtype[23],
        Tabl1[24]:Fldtype[24],
        Tabl1[25]:Fldtype[25],
        Tabl1[26]:Fldtype[26],
        Tabl1[27]:Fldtype[27],
        Tabl1[28]:Fldtype[28],
        Tabl1[29]:Fldtype[29],
        Tabl1[30]:Fldtype[30],
        Tabl1[31]:Fldtype[31],
        Tabl1[32]:Fldtype[32],
        Tabl1[33]:Fldtype[33]
        
CASE Totals=34:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17],
        Tabl1[18]:Fldtype[18],
        Tabl1[19]:Fldtype[19],
        Tabl1[20]:Fldtype[20],
        Tabl1[21]:Fldtype[21],
        Tabl1[22]:Fldtype[22],
        Tabl1[23]:Fldtype[23],
        Tabl1[24]:Fldtype[24],
        Tabl1[25]:Fldtype[25],
        Tabl1[26]:Fldtype[26],
        Tabl1[27]:Fldtype[27],
        Tabl1[28]:Fldtype[28],
        Tabl1[29]:Fldtype[29],
        Tabl1[30]:Fldtype[30],
        Tabl1[31]:Fldtype[31],
        Tabl1[32]:Fldtype[32],
        Tabl1[33]:Fldtype[33],
        Tabl1[34]:Fldtype[34]
        
CASE Totals=35:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17],
        Tabl1[18]:Fldtype[18],
        Tabl1[19]:Fldtype[19],
        Tabl1[20]:Fldtype[20],
        Tabl1[21]:Fldtype[21],
        Tabl1[22]:Fldtype[22],
        Tabl1[23]:Fldtype[23],
        Tabl1[24]:Fldtype[24],
        Tabl1[25]:Fldtype[25],
        Tabl1[26]:Fldtype[26],
        Tabl1[27]:Fldtype[27],
        Tabl1[28]:Fldtype[28],
        Tabl1[29]:Fldtype[29],
        Tabl1[30]:Fldtype[30],
        Tabl1[31]:Fldtype[31],
        Tabl1[32]:Fldtype[32],
        Tabl1[33]:Fldtype[33],
        Tabl1[34]:Fldtype[34],
        Tabl1[35]:Fldtype[35]
      
CASE Totals=36:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17],
        Tabl1[18]:Fldtype[18],
        Tabl1[19]:Fldtype[19],
        Tabl1[20]:Fldtype[20],
        Tabl1[21]:Fldtype[21],
        Tabl1[22]:Fldtype[22],
        Tabl1[23]:Fldtype[23],
        Tabl1[24]:Fldtype[24],
        Tabl1[25]:Fldtype[25],
        Tabl1[26]:Fldtype[26],
        Tabl1[27]:Fldtype[27],
        Tabl1[28]:Fldtype[28],
        Tabl1[29]:Fldtype[29],
        Tabl1[30]:Fldtype[30],
        Tabl1[31]:Fldtype[31],
        Tabl1[32]:Fldtype[32],
        Tabl1[33]:Fldtype[33],
        Tabl1[34]:Fldtype[34],
        Tabl1[35]:Fldtype[35],
        Tabl1[36]:Fldtype[36]
        
CASE Totals=37:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17],
        Tabl1[18]:Fldtype[18],
        Tabl1[19]:Fldtype[19],
        Tabl1[20]:Fldtype[20],
        Tabl1[21]:Fldtype[21],
        Tabl1[22]:Fldtype[22],
        Tabl1[23]:Fldtype[23],
        Tabl1[24]:Fldtype[24],
        Tabl1[25]:Fldtype[25],
        Tabl1[26]:Fldtype[26],
        Tabl1[27]:Fldtype[27],
        Tabl1[28]:Fldtype[28],
        Tabl1[29]:Fldtype[29],
        Tabl1[30]:Fldtype[30],
        Tabl1[31]:Fldtype[31],
        Tabl1[32]:Fldtype[32],
        Tabl1[33]:Fldtype[33],
        Tabl1[34]:Fldtype[34],
        Tabl1[35]:Fldtype[35],
        Tabl1[36]:Fldtype[36],
        Tabl1[37]:Fldtype[37]
        
CASE Totals=38:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17],
        Tabl1[18]:Fldtype[18],
        Tabl1[19]:Fldtype[19],
        Tabl1[20]:Fldtype[20],
        Tabl1[21]:Fldtype[21],
        Tabl1[22]:Fldtype[22],
        Tabl1[23]:Fldtype[23],
        Tabl1[24]:Fldtype[24],
        Tabl1[25]:Fldtype[25],
        Tabl1[26]:Fldtype[26],
        Tabl1[27]:Fldtype[27],
        Tabl1[28]:Fldtype[28],
        Tabl1[29]:Fldtype[29],
        Tabl1[30]:Fldtype[30],
        Tabl1[31]:Fldtype[31],
        Tabl1[32]:Fldtype[32],
        Tabl1[33]:Fldtype[33],
        Tabl1[34]:Fldtype[34],
        Tabl1[35]:Fldtype[35],
        Tabl1[36]:Fldtype[36],
        Tabl1[37]:Fldtype[37],
        Tabl1[38]:Fldtype[38]
        
CASE Totals=39:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17],
        Tabl1[18]:Fldtype[18],
        Tabl1[19]:Fldtype[19],
        Tabl1[20]:Fldtype[20],
        Tabl1[21]:Fldtype[21],
        Tabl1[22]:Fldtype[22],
        Tabl1[23]:Fldtype[23],
        Tabl1[24]:Fldtype[24],
        Tabl1[25]:Fldtype[25],
        Tabl1[26]:Fldtype[26],
        Tabl1[27]:Fldtype[27],
        Tabl1[28]:Fldtype[28],
        Tabl1[29]:Fldtype[29],
        Tabl1[30]:Fldtype[30],
        Tabl1[31]:Fldtype[31],
        Tabl1[32]:Fldtype[32],
        Tabl1[33]:Fldtype[33],
        Tabl1[34]:Fldtype[34],
        Tabl1[35]:Fldtype[35],
        Tabl1[36]:Fldtype[36],
        Tabl1[37]:Fldtype[37],
        Tabl1[38]:Fldtype[38],
        Tabl1[39]:Fldtype[39]
        
CASE Totals=40:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17],
        Tabl1[18]:Fldtype[18],
        Tabl1[19]:Fldtype[19],
        Tabl1[20]:Fldtype[20],
        Tabl1[21]:Fldtype[21],
        Tabl1[22]:Fldtype[22],
        Tabl1[23]:Fldtype[23],
        Tabl1[24]:Fldtype[24],
        Tabl1[25]:Fldtype[25],
        Tabl1[26]:Fldtype[26],
        Tabl1[27]:Fldtype[27],
        Tabl1[28]:Fldtype[28],
        Tabl1[29]:Fldtype[29],
        Tabl1[30]:Fldtype[30],
        Tabl1[31]:Fldtype[31],
        Tabl1[32]:Fldtype[32],
        Tabl1[33]:Fldtype[33],
        Tabl1[34]:Fldtype[34],
        Tabl1[35]:Fldtype[35],
        Tabl1[36]:Fldtype[36],
        Tabl1[37]:Fldtype[37],
        Tabl1[38]:Fldtype[38],
        Tabl1[39]:Fldtype[39],
        Tabl1[40]:Fldtype[40]
        
CASE Totals=41:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17],
        Tabl1[18]:Fldtype[18],
        Tabl1[19]:Fldtype[19],
        Tabl1[20]:Fldtype[20],
        Tabl1[21]:Fldtype[21],
        Tabl1[22]:Fldtype[22],
        Tabl1[23]:Fldtype[23],
        Tabl1[24]:Fldtype[24],
        Tabl1[25]:Fldtype[25],
        Tabl1[26]:Fldtype[26],
        Tabl1[27]:Fldtype[27],
        Tabl1[28]:Fldtype[28],
        Tabl1[29]:Fldtype[29],
        Tabl1[30]:Fldtype[30],
        Tabl1[31]:Fldtype[31],
        Tabl1[32]:Fldtype[32],
        Tabl1[33]:Fldtype[33],
        Tabl1[34]:Fldtype[34],
        Tabl1[35]:Fldtype[35],
        Tabl1[36]:Fldtype[36],
        Tabl1[37]:Fldtype[37],
        Tabl1[38]:Fldtype[38],
        Tabl1[39]:Fldtype[39],
        Tabl1[40]:Fldtype[40],
        Tabl1[41]:Fldtype[41]
        
CASE Totals=42:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17],
        Tabl1[18]:Fldtype[18],
        Tabl1[19]:Fldtype[19],
        Tabl1[20]:Fldtype[20],
        Tabl1[21]:Fldtype[21],
        Tabl1[22]:Fldtype[22],
        Tabl1[23]:Fldtype[23],
        Tabl1[24]:Fldtype[24],
        Tabl1[25]:Fldtype[25],
        Tabl1[26]:Fldtype[26],
        Tabl1[27]:Fldtype[27],
        Tabl1[28]:Fldtype[28],
        Tabl1[29]:Fldtype[29],
        Tabl1[30]:Fldtype[30],
        Tabl1[31]:Fldtype[31],
        Tabl1[32]:Fldtype[32],
        Tabl1[33]:Fldtype[33],
        Tabl1[34]:Fldtype[34],
        Tabl1[35]:Fldtype[35],
        Tabl1[36]:Fldtype[36],
        Tabl1[37]:Fldtype[37],
        Tabl1[38]:Fldtype[38],
        Tabl1[39]:Fldtype[39],
        Tabl1[40]:Fldtype[40],
        Tabl1[41]:Fldtype[41],
        Tabl1[42]:Fldtype[42]
        
CASE Totals=43:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17],
        Tabl1[18]:Fldtype[18],
        Tabl1[19]:Fldtype[19],
        Tabl1[20]:Fldtype[20],
        Tabl1[21]:Fldtype[21],
        Tabl1[22]:Fldtype[22],
        Tabl1[23]:Fldtype[23],
        Tabl1[24]:Fldtype[24],
        Tabl1[25]:Fldtype[25],
        Tabl1[26]:Fldtype[26],
        Tabl1[27]:Fldtype[27],
        Tabl1[28]:Fldtype[28],
        Tabl1[29]:Fldtype[29],
        Tabl1[30]:Fldtype[30],
        Tabl1[31]:Fldtype[31],
        Tabl1[32]:Fldtype[32],
        Tabl1[33]:Fldtype[33],
        Tabl1[34]:Fldtype[34],
        Tabl1[35]:Fldtype[35],
        Tabl1[36]:Fldtype[36],
        Tabl1[37]:Fldtype[37],
        Tabl1[38]:Fldtype[38],
        Tabl1[39]:Fldtype[39],
        Tabl1[40]:Fldtype[40],
        Tabl1[41]:Fldtype[41],
        Tabl1[42]:Fldtype[42],
        Tabl1[43]:Fldtype[43]
        
CASE Totals=44:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17],
        Tabl1[18]:Fldtype[18],
        Tabl1[19]:Fldtype[19],
        Tabl1[20]:Fldtype[20],
        Tabl1[21]:Fldtype[21],
        Tabl1[22]:Fldtype[22],
        Tabl1[23]:Fldtype[23],
        Tabl1[24]:Fldtype[24],
        Tabl1[25]:Fldtype[25],
        Tabl1[26]:Fldtype[26],
        Tabl1[27]:Fldtype[27],
        Tabl1[28]:Fldtype[28],
        Tabl1[29]:Fldtype[29],
        Tabl1[30]:Fldtype[30],
        Tabl1[31]:Fldtype[31],
        Tabl1[32]:Fldtype[32],
        Tabl1[33]:Fldtype[33],
        Tabl1[34]:Fldtype[34],
        Tabl1[35]:Fldtype[35],
        Tabl1[36]:Fldtype[36],
        Tabl1[37]:Fldtype[37],
        Tabl1[38]:Fldtype[38],
        Tabl1[39]:Fldtype[39],
        Tabl1[40]:Fldtype[40],
        Tabl1[41]:Fldtype[41],
        Tabl1[42]:Fldtype[42],
        Tabl1[43]:Fldtype[43],
        Tabl1[44]:Fldtype[44]
        
CASE Totals=45:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17],
        Tabl1[18]:Fldtype[18],
        Tabl1[19]:Fldtype[19],
        Tabl1[20]:Fldtype[20],
        Tabl1[21]:Fldtype[21],
        Tabl1[22]:Fldtype[22],
        Tabl1[23]:Fldtype[23],
        Tabl1[24]:Fldtype[24],
        Tabl1[25]:Fldtype[25],
        Tabl1[26]:Fldtype[26],
        Tabl1[27]:Fldtype[27],
        Tabl1[28]:Fldtype[28],
        Tabl1[29]:Fldtype[29],
        Tabl1[30]:Fldtype[30],
        Tabl1[31]:Fldtype[31],
        Tabl1[32]:Fldtype[32],
        Tabl1[33]:Fldtype[33],
        Tabl1[34]:Fldtype[34],
        Tabl1[35]:Fldtype[35],
        Tabl1[36]:Fldtype[36],
        Tabl1[37]:Fldtype[37],
        Tabl1[38]:Fldtype[38],
        Tabl1[39]:Fldtype[39],
        Tabl1[40]:Fldtype[40],
        Tabl1[41]:Fldtype[41],
        Tabl1[42]:Fldtype[42],
        Tabl1[43]:Fldtype[43],
        Tabl1[44]:Fldtype[44],
        Tabl1[45]:Fldtype[45]
        
CASE Totals=46:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17],
        Tabl1[18]:Fldtype[18],
        Tabl1[19]:Fldtype[19],
        Tabl1[20]:Fldtype[20],
        Tabl1[21]:Fldtype[21],
        Tabl1[22]:Fldtype[22],
        Tabl1[23]:Fldtype[23],
        Tabl1[24]:Fldtype[24],
        Tabl1[25]:Fldtype[25],
        Tabl1[26]:Fldtype[26],
        Tabl1[27]:Fldtype[27],
        Tabl1[28]:Fldtype[28],
        Tabl1[29]:Fldtype[29],
        Tabl1[30]:Fldtype[30],
        Tabl1[31]:Fldtype[31],
        Tabl1[32]:Fldtype[32],
        Tabl1[33]:Fldtype[33],
        Tabl1[34]:Fldtype[34],
        Tabl1[35]:Fldtype[35],
        Tabl1[36]:Fldtype[36],
        Tabl1[37]:Fldtype[37],
        Tabl1[38]:Fldtype[38],
        Tabl1[39]:Fldtype[39],
        Tabl1[40]:Fldtype[40],
        Tabl1[41]:Fldtype[41],
        Tabl1[42]:Fldtype[42],
        Tabl1[43]:Fldtype[43],
        Tabl1[44]:Fldtype[44],
        Tabl1[45]:Fldtype[45],
        Tabl1[46]:Fldtype[46]
        
CASE Totals=47:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17],
        Tabl1[18]:Fldtype[18],
        Tabl1[19]:Fldtype[19],
        Tabl1[20]:Fldtype[20],
        Tabl1[21]:Fldtype[21],
        Tabl1[22]:Fldtype[22],
        Tabl1[23]:Fldtype[23],
        Tabl1[24]:Fldtype[24],
        Tabl1[25]:Fldtype[25],
        Tabl1[26]:Fldtype[26],
        Tabl1[27]:Fldtype[27],
        Tabl1[28]:Fldtype[28],
        Tabl1[29]:Fldtype[29],
        Tabl1[30]:Fldtype[30],
        Tabl1[31]:Fldtype[31],
        Tabl1[32]:Fldtype[32],
        Tabl1[33]:Fldtype[33],
        Tabl1[34]:Fldtype[34],
        Tabl1[35]:Fldtype[35],
        Tabl1[36]:Fldtype[36],
        Tabl1[37]:Fldtype[37],
        Tabl1[38]:Fldtype[38],
        Tabl1[39]:Fldtype[39],
        Tabl1[40]:Fldtype[40],
        Tabl1[41]:Fldtype[41],
        Tabl1[42]:Fldtype[42],
        Tabl1[43]:Fldtype[43],
        Tabl1[44]:Fldtype[44],
        Tabl1[45]:Fldtype[45],
        Tabl1[46]:Fldtype[46],
        Tabl1[47]:Fldtype[47]
        
CASE Totals=48:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17],
        Tabl1[18]:Fldtype[18],
        Tabl1[19]:Fldtype[19],
        Tabl1[20]:Fldtype[20],
        Tabl1[21]:Fldtype[21],
        Tabl1[22]:Fldtype[22],
        Tabl1[23]:Fldtype[23],
        Tabl1[24]:Fldtype[24],
        Tabl1[25]:Fldtype[25],
        Tabl1[26]:Fldtype[26],
        Tabl1[27]:Fldtype[27],
        Tabl1[28]:Fldtype[28],
        Tabl1[29]:Fldtype[29],
        Tabl1[30]:Fldtype[30],
        Tabl1[31]:Fldtype[31],
        Tabl1[32]:Fldtype[32],
        Tabl1[33]:Fldtype[33],
        Tabl1[34]:Fldtype[34],
        Tabl1[35]:Fldtype[35],
        Tabl1[36]:Fldtype[36],
        Tabl1[37]:Fldtype[37],
        Tabl1[38]:Fldtype[38],
        Tabl1[39]:Fldtype[39],
        Tabl1[40]:Fldtype[40],
        Tabl1[41]:Fldtype[41],
        Tabl1[42]:Fldtype[42],
        Tabl1[43]:Fldtype[43],
        Tabl1[44]:Fldtype[44],
        Tabl1[45]:Fldtype[45],
        Tabl1[46]:Fldtype[46],
        Tabl1[47]:Fldtype[47],
        Tabl1[48]:Fldtype[48]
        
CASE Totals=49:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17],
        Tabl1[18]:Fldtype[18],
        Tabl1[19]:Fldtype[19],
        Tabl1[20]:Fldtype[20],
        Tabl1[21]:Fldtype[21],
        Tabl1[22]:Fldtype[22],
        Tabl1[23]:Fldtype[23],
        Tabl1[24]:Fldtype[24],
        Tabl1[25]:Fldtype[25],
        Tabl1[26]:Fldtype[26],
        Tabl1[27]:Fldtype[27],
        Tabl1[28]:Fldtype[28],
        Tabl1[29]:Fldtype[29],
        Tabl1[30]:Fldtype[30],
        Tabl1[31]:Fldtype[31],
        Tabl1[32]:Fldtype[32],
        Tabl1[33]:Fldtype[33],
        Tabl1[34]:Fldtype[34],
        Tabl1[35]:Fldtype[35],
        Tabl1[36]:Fldtype[36],
        Tabl1[37]:Fldtype[37],
        Tabl1[38]:Fldtype[38],
        Tabl1[39]:Fldtype[39],
        Tabl1[40]:Fldtype[40],
        Tabl1[41]:Fldtype[41],
        Tabl1[42]:Fldtype[42],
        Tabl1[43]:Fldtype[43],
        Tabl1[44]:Fldtype[44],
        Tabl1[45]:Fldtype[45],
        Tabl1[46]:Fldtype[46],
        Tabl1[47]:Fldtype[47],
        Tabl1[48]:Fldtype[48],
        Tabl1[49]:Fldtype[49]
        
CASE Totals=50:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17],
        Tabl1[18]:Fldtype[18],
        Tabl1[19]:Fldtype[19],
        Tabl1[20]:Fldtype[20],
        Tabl1[21]:Fldtype[21],
        Tabl1[22]:Fldtype[22],
        Tabl1[23]:Fldtype[23],
        Tabl1[24]:Fldtype[24],
        Tabl1[25]:Fldtype[25],
        Tabl1[26]:Fldtype[26],
        Tabl1[27]:Fldtype[27],
        Tabl1[28]:Fldtype[28],
        Tabl1[29]:Fldtype[29],
        Tabl1[30]:Fldtype[30],
        Tabl1[31]:Fldtype[31],
        Tabl1[32]:Fldtype[32],
        Tabl1[33]:Fldtype[33],
        Tabl1[34]:Fldtype[34],
        Tabl1[35]:Fldtype[35],
        Tabl1[36]:Fldtype[36],
        Tabl1[37]:Fldtype[37],
        Tabl1[38]:Fldtype[38],
        Tabl1[39]:Fldtype[39],
        Tabl1[40]:Fldtype[40],
        Tabl1[41]:Fldtype[41],
        Tabl1[42]:Fldtype[42],
        Tabl1[43]:Fldtype[43],
        Tabl1[44]:Fldtype[44],
        Tabl1[45]:Fldtype[45],
        Tabl1[46]:Fldtype[46],
        Tabl1[47]:Fldtype[47],
        Tabl1[48]:Fldtype[48],
        Tabl1[49]:Fldtype[49],
        Tabl1[50]:Fldtype[50]
        
CASE Totals=51:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17],
        Tabl1[18]:Fldtype[18],
        Tabl1[19]:Fldtype[19],
        Tabl1[20]:Fldtype[20],
        Tabl1[21]:Fldtype[21],
        Tabl1[22]:Fldtype[22],
        Tabl1[23]:Fldtype[23],
        Tabl1[24]:Fldtype[24],
        Tabl1[25]:Fldtype[25],
        Tabl1[26]:Fldtype[26],
        Tabl1[27]:Fldtype[27],
        Tabl1[28]:Fldtype[28],
        Tabl1[29]:Fldtype[29],
        Tabl1[30]:Fldtype[30],
        Tabl1[31]:Fldtype[31],
        Tabl1[32]:Fldtype[32],
        Tabl1[33]:Fldtype[33],
        Tabl1[34]:Fldtype[34],
        Tabl1[35]:Fldtype[35],
        Tabl1[36]:Fldtype[36],
        Tabl1[37]:Fldtype[37],
        Tabl1[38]:Fldtype[38],
        Tabl1[39]:Fldtype[39],
        Tabl1[40]:Fldtype[40],
        Tabl1[41]:Fldtype[41],
        Tabl1[42]:Fldtype[42],
        Tabl1[43]:Fldtype[43],
        Tabl1[44]:Fldtype[44],
        Tabl1[45]:Fldtype[45],
        Tabl1[46]:Fldtype[46],
        Tabl1[47]:Fldtype[47],
        Tabl1[48]:Fldtype[48],
        Tabl1[49]:Fldtype[49],
        Tabl1[50]:Fldtype[50],
        Tabl1[51]:Fldtype[51]
        
CASE Totals=52:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17],
        Tabl1[18]:Fldtype[18],
        Tabl1[19]:Fldtype[19],
        Tabl1[20]:Fldtype[20],
        Tabl1[21]:Fldtype[21],
        Tabl1[22]:Fldtype[22],
        Tabl1[23]:Fldtype[23],
        Tabl1[24]:Fldtype[24],
        Tabl1[25]:Fldtype[25],
        Tabl1[26]:Fldtype[26],
        Tabl1[27]:Fldtype[27],
        Tabl1[28]:Fldtype[28],
        Tabl1[29]:Fldtype[29],
        Tabl1[30]:Fldtype[30],
        Tabl1[31]:Fldtype[31],
        Tabl1[32]:Fldtype[32],
        Tabl1[33]:Fldtype[33],
        Tabl1[34]:Fldtype[34],
        Tabl1[35]:Fldtype[35],
        Tabl1[36]:Fldtype[36],
        Tabl1[37]:Fldtype[37],
        Tabl1[38]:Fldtype[38],
        Tabl1[39]:Fldtype[39],
        Tabl1[40]:Fldtype[40],
        Tabl1[41]:Fldtype[41],
        Tabl1[42]:Fldtype[42],
        Tabl1[43]:Fldtype[43],
        Tabl1[44]:Fldtype[44],
        Tabl1[45]:Fldtype[45],
        Tabl1[46]:Fldtype[46],
        Tabl1[47]:Fldtype[47],
        Tabl1[48]:Fldtype[48],
        Tabl1[49]:Fldtype[49],
        Tabl1[50]:Fldtype[50],
        Tabl1[51]:Fldtype[51],
        Tabl1[52]:Fldtype[52]
        
CASE Totals=53:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17],
        Tabl1[18]:Fldtype[18],
        Tabl1[19]:Fldtype[19],
        Tabl1[20]:Fldtype[20],
        Tabl1[21]:Fldtype[21],
        Tabl1[22]:Fldtype[22],
        Tabl1[23]:Fldtype[23],
        Tabl1[24]:Fldtype[24],
        Tabl1[25]:Fldtype[25],
        Tabl1[26]:Fldtype[26],
        Tabl1[27]:Fldtype[27],
        Tabl1[28]:Fldtype[28],
        Tabl1[29]:Fldtype[29],
        Tabl1[30]:Fldtype[30],
        Tabl1[31]:Fldtype[31],
        Tabl1[32]:Fldtype[32],
        Tabl1[33]:Fldtype[33],
        Tabl1[34]:Fldtype[34],
        Tabl1[35]:Fldtype[35],
        Tabl1[36]:Fldtype[36],
        Tabl1[37]:Fldtype[37],
        Tabl1[38]:Fldtype[38],
        Tabl1[39]:Fldtype[39],
        Tabl1[40]:Fldtype[40],
        Tabl1[41]:Fldtype[41],
        Tabl1[42]:Fldtype[42],
        Tabl1[43]:Fldtype[43],
        Tabl1[44]:Fldtype[44],
        Tabl1[45]:Fldtype[45],
        Tabl1[46]:Fldtype[46],
        Tabl1[47]:Fldtype[47],
        Tabl1[48]:Fldtype[48],
        Tabl1[49]:Fldtype[49],
        Tabl1[50]:Fldtype[50],
        Tabl1[51]:Fldtype[51],
        Tabl1[52]:Fldtype[52],
        Tabl1[53]:Fldtype[53]
CASE Totals=54:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17],
        Tabl1[18]:Fldtype[18],
        Tabl1[19]:Fldtype[19],
        Tabl1[20]:Fldtype[20],
        Tabl1[21]:Fldtype[21],
        Tabl1[22]:Fldtype[22],
        Tabl1[23]:Fldtype[23],
        Tabl1[24]:Fldtype[24],
        Tabl1[25]:Fldtype[25],
        Tabl1[26]:Fldtype[26],
        Tabl1[27]:Fldtype[27],
        Tabl1[28]:Fldtype[28],
        Tabl1[29]:Fldtype[29],
        Tabl1[30]:Fldtype[30],
        Tabl1[31]:Fldtype[31],
        Tabl1[32]:Fldtype[32],
        Tabl1[33]:Fldtype[33],
        Tabl1[34]:Fldtype[34],
        Tabl1[35]:Fldtype[35],
        Tabl1[36]:Fldtype[36],
        Tabl1[37]:Fldtype[37],
        Tabl1[38]:Fldtype[38],
        Tabl1[39]:Fldtype[39],
        Tabl1[40]:Fldtype[40],
        Tabl1[41]:Fldtype[41],
        Tabl1[42]:Fldtype[42],
        Tabl1[43]:Fldtype[43],
        Tabl1[44]:Fldtype[44],
        Tabl1[45]:Fldtype[45],
        Tabl1[46]:Fldtype[46],
        Tabl1[47]:Fldtype[47],
        Tabl1[48]:Fldtype[48],
        Tabl1[49]:Fldtype[49],
        Tabl1[50]:Fldtype[50],
        Tabl1[51]:Fldtype[51],
        Tabl1[52]:Fldtype[52],
        Tabl1[53]:Fldtype[53],
        Tabl1[54]:Fldtype[54]
CASE Totals=55:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17],
        Tabl1[18]:Fldtype[18],
        Tabl1[19]:Fldtype[19],
        Tabl1[20]:Fldtype[20],
        Tabl1[21]:Fldtype[21],
        Tabl1[22]:Fldtype[22],
        Tabl1[23]:Fldtype[23],
        Tabl1[24]:Fldtype[24],
        Tabl1[25]:Fldtype[25],
        Tabl1[26]:Fldtype[26],
        Tabl1[27]:Fldtype[27],
        Tabl1[28]:Fldtype[28],
        Tabl1[29]:Fldtype[29],
        Tabl1[30]:Fldtype[30],
        Tabl1[31]:Fldtype[31],
        Tabl1[32]:Fldtype[32],
        Tabl1[33]:Fldtype[33],
        Tabl1[34]:Fldtype[34],
        Tabl1[35]:Fldtype[35],
        Tabl1[36]:Fldtype[36],
        Tabl1[37]:Fldtype[37],
        Tabl1[38]:Fldtype[38],
        Tabl1[39]:Fldtype[39],
        Tabl1[40]:Fldtype[40],
        Tabl1[41]:Fldtype[41],
        Tabl1[42]:Fldtype[42],
        Tabl1[43]:Fldtype[43],
        Tabl1[44]:Fldtype[44],
        Tabl1[45]:Fldtype[45],
        Tabl1[46]:Fldtype[46],
        Tabl1[47]:Fldtype[47],
        Tabl1[48]:Fldtype[48],
        Tabl1[49]:Fldtype[49],
        Tabl1[50]:Fldtype[50],
        Tabl1[51]:Fldtype[51],
        Tabl1[52]:Fldtype[52],
        Tabl1[53]:Fldtype[53],
        Tabl1[54]:Fldtype[54],
        Tabl1[55]:Fldtype[55]
CASE Totals=56:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17],
        Tabl1[18]:Fldtype[18],
        Tabl1[19]:Fldtype[19],
        Tabl1[20]:Fldtype[20],
        Tabl1[21]:Fldtype[21],
        Tabl1[22]:Fldtype[22],
        Tabl1[23]:Fldtype[23],
        Tabl1[24]:Fldtype[24],
        Tabl1[25]:Fldtype[25],
        Tabl1[26]:Fldtype[26],
        Tabl1[27]:Fldtype[27],
        Tabl1[28]:Fldtype[28],
        Tabl1[29]:Fldtype[29],
        Tabl1[30]:Fldtype[30],
        Tabl1[31]:Fldtype[31],
        Tabl1[32]:Fldtype[32],
        Tabl1[33]:Fldtype[33],
        Tabl1[34]:Fldtype[34],
        Tabl1[35]:Fldtype[35],
        Tabl1[36]:Fldtype[36],
        Tabl1[37]:Fldtype[37],
        Tabl1[38]:Fldtype[38],
        Tabl1[39]:Fldtype[39],
        Tabl1[40]:Fldtype[40],
        Tabl1[41]:Fldtype[41],
        Tabl1[42]:Fldtype[42],
        Tabl1[43]:Fldtype[43],
        Tabl1[44]:Fldtype[44],
        Tabl1[45]:Fldtype[45],
        Tabl1[46]:Fldtype[46],
        Tabl1[47]:Fldtype[47],
        Tabl1[48]:Fldtype[48],
        Tabl1[49]:Fldtype[49],
        Tabl1[50]:Fldtype[50],
        Tabl1[51]:Fldtype[51],
        Tabl1[52]:Fldtype[52],
        Tabl1[53]:Fldtype[53],
        Tabl1[54]:Fldtype[54],
        Tabl1[55]:Fldtype[55],
        Tabl1[56]:Fldtype[56]
CASE Totals=57:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17],
        Tabl1[18]:Fldtype[18],
        Tabl1[19]:Fldtype[19],
        Tabl1[20]:Fldtype[20],
        Tabl1[21]:Fldtype[21],
        Tabl1[22]:Fldtype[22],
        Tabl1[23]:Fldtype[23],
        Tabl1[24]:Fldtype[24],
        Tabl1[25]:Fldtype[25],
        Tabl1[26]:Fldtype[26],
        Tabl1[27]:Fldtype[27],
        Tabl1[28]:Fldtype[28],
        Tabl1[29]:Fldtype[29],
        Tabl1[30]:Fldtype[30],
        Tabl1[31]:Fldtype[31],
        Tabl1[32]:Fldtype[32],
        Tabl1[33]:Fldtype[33],
        Tabl1[34]:Fldtype[34],
        Tabl1[35]:Fldtype[35],
        Tabl1[36]:Fldtype[36],
        Tabl1[37]:Fldtype[37],
        Tabl1[38]:Fldtype[38],
        Tabl1[39]:Fldtype[39],
        Tabl1[40]:Fldtype[40],
        Tabl1[41]:Fldtype[41],
        Tabl1[42]:Fldtype[42],
        Tabl1[43]:Fldtype[43],
        Tabl1[44]:Fldtype[44],
        Tabl1[45]:Fldtype[45],
        Tabl1[46]:Fldtype[46],
        Tabl1[47]:Fldtype[47],
        Tabl1[48]:Fldtype[48],
        Tabl1[49]:Fldtype[49],
        Tabl1[50]:Fldtype[50],
        Tabl1[51]:Fldtype[51],
        Tabl1[52]:Fldtype[52],
        Tabl1[53]:Fldtype[53],
        Tabl1[54]:Fldtype[54],
        Tabl1[55]:Fldtype[55],
        Tabl1[56]:Fldtype[56],
        Tabl1[57]:Fldtype[57]
CASE Totals=58:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17],
        Tabl1[18]:Fldtype[18],
        Tabl1[19]:Fldtype[19],
        Tabl1[20]:Fldtype[20],
        Tabl1[21]:Fldtype[21],
        Tabl1[22]:Fldtype[22],
        Tabl1[23]:Fldtype[23],
        Tabl1[24]:Fldtype[24],
        Tabl1[25]:Fldtype[25],
        Tabl1[26]:Fldtype[26],
        Tabl1[27]:Fldtype[27],
        Tabl1[28]:Fldtype[28],
        Tabl1[29]:Fldtype[29],
        Tabl1[30]:Fldtype[30],
        Tabl1[31]:Fldtype[31],
        Tabl1[32]:Fldtype[32],
        Tabl1[33]:Fldtype[33],
        Tabl1[34]:Fldtype[34],
        Tabl1[35]:Fldtype[35],
        Tabl1[36]:Fldtype[36],
        Tabl1[37]:Fldtype[37],
        Tabl1[38]:Fldtype[38],
        Tabl1[39]:Fldtype[39],
        Tabl1[40]:Fldtype[40],
        Tabl1[41]:Fldtype[41],
        Tabl1[42]:Fldtype[42],
        Tabl1[43]:Fldtype[43],
        Tabl1[44]:Fldtype[44],
        Tabl1[45]:Fldtype[45],
        Tabl1[46]:Fldtype[46],
        Tabl1[47]:Fldtype[47],
        Tabl1[48]:Fldtype[48],
        Tabl1[49]:Fldtype[49],
        Tabl1[50]:Fldtype[50],
        Tabl1[51]:Fldtype[51],
        Tabl1[52]:Fldtype[52],
        Tabl1[53]:Fldtype[53],
        Tabl1[54]:Fldtype[54],
        Tabl1[55]:Fldtype[55],
        Tabl1[56]:Fldtype[56],
        Tabl1[57]:Fldtype[57],
        Tabl1[58]:Fldtype[58]

CASE Totals=59:
   Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17],
        Tabl1[18]:Fldtype[18],
        Tabl1[19]:Fldtype[19],
        Tabl1[20]:Fldtype[20],
        Tabl1[21]:Fldtype[21],
        Tabl1[22]:Fldtype[22],
        Tabl1[23]:Fldtype[23],
        Tabl1[24]:Fldtype[24],
        Tabl1[25]:Fldtype[25],
        Tabl1[26]:Fldtype[26],
        Tabl1[27]:Fldtype[27],
        Tabl1[28]:Fldtype[28],
        Tabl1[29]:Fldtype[29],
        Tabl1[30]:Fldtype[30],
        Tabl1[31]:Fldtype[31],
        Tabl1[32]:Fldtype[32],
        Tabl1[33]:Fldtype[33],
        Tabl1[34]:Fldtype[34],
        Tabl1[35]:Fldtype[35],
        Tabl1[36]:Fldtype[36],
        Tabl1[37]:Fldtype[37],
        Tabl1[38]:Fldtype[38],
        Tabl1[39]:Fldtype[39],
        Tabl1[40]:Fldtype[40],
        Tabl1[41]:Fldtype[41],
        Tabl1[42]:Fldtype[42],
        Tabl1[43]:Fldtype[43],
        Tabl1[44]:Fldtype[44],
        Tabl1[45]:Fldtype[45],
        Tabl1[46]:Fldtype[46],
        Tabl1[47]:Fldtype[47],
        Tabl1[48]:Fldtype[48],
        Tabl1[49]:Fldtype[49],
        Tabl1[50]:Fldtype[50],
        Tabl1[51]:Fldtype[51],
        Tabl1[52]:Fldtype[52],
        Tabl1[53]:Fldtype[53],
        Tabl1[54]:Fldtype[54],
        Tabl1[55]:Fldtype[55],
        Tabl1[56]:Fldtype[56],
        Tabl1[57]:Fldtype[57],
        Tabl1[58]:Fldtype[58],
        Tabl1[59]:Fldtype[59]
CASE Totals=60:
Create "MERGED" 
        Tabl1[1]:Fldtype[1],
        Tabl1[2]:Fldtype[2],
        Tabl1[3]:Fldtype[3],
        Tabl1[4]:Fldtype[4],
        Tabl1[5]:Fldtype[5],
        Tabl1[6]:Fldtype[6],
        Tabl1[7]:Fldtype[7],
        Tabl1[8]:Fldtype[8],
        Tabl1[9]:Fldtype[9],
        Tabl1[10]:Fldtype[10],
        Tabl1[11]:Fldtype[11],
        Tabl1[12]:Fldtype[12],
        Tabl1[13]:Fldtype[13],
        Tabl1[14]:Fldtype[14],
        Tabl1[15]:Fldtype[15],
        Tabl1[16]:Fldtype[16],
        Tabl1[17]:Fldtype[17],
        Tabl1[18]:Fldtype[18],
        Tabl1[19]:Fldtype[19],
        Tabl1[20]:Fldtype[20],
        Tabl1[21]:Fldtype[21],
        Tabl1[22]:Fldtype[22],
        Tabl1[23]:Fldtype[23],
        Tabl1[24]:Fldtype[24],
        Tabl1[25]:Fldtype[25],
        Tabl1[26]:Fldtype[26],
        Tabl1[27]:Fldtype[27],
        Tabl1[28]:Fldtype[28],
        Tabl1[29]:Fldtype[29],
        Tabl1[30]:Fldtype[30],
        Tabl1[31]:Fldtype[31],
        Tabl1[32]:Fldtype[32],
        Tabl1[33]:Fldtype[33],
        Tabl1[34]:Fldtype[34],
        Tabl1[35]:Fldtype[35],
        Tabl1[36]:Fldtype[36],
        Tabl1[37]:Fldtype[37],
        Tabl1[38]:Fldtype[38],
        Tabl1[39]:Fldtype[39],
        Tabl1[40]:Fldtype[40],
        Tabl1[41]:Fldtype[41],
        Tabl1[42]:Fldtype[42],
        Tabl1[43]:Fldtype[43],
        Tabl1[44]:Fldtype[44],
        Tabl1[45]:Fldtype[45],
        Tabl1[46]:Fldtype[46],
        Tabl1[47]:Fldtype[47],
        Tabl1[48]:Fldtype[48],
        Tabl1[49]:Fldtype[49],
        Tabl1[50]:Fldtype[50],
        Tabl1[51]:Fldtype[51],
        Tabl1[52]:Fldtype[52],
        Tabl1[53]:Fldtype[53],
        Tabl1[54]:Fldtype[54],
        Tabl1[55]:Fldtype[55],
        Tabl1[56]:Fldtype[56],
        Tabl1[57]:Fldtype[57],
        Tabl1[58]:Fldtype[58],
        Tabl1[59]:Fldtype[59],
        Tabl1[60]:Fldtype[60]
ENDSWITCH
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Copy Records to Merged Table ;;;;;;;;;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
Clearall
ECHO NORMAL
WINDOW CREATE @15,15 width 50 height 6 to DISWINDOW
?"  COPYING RECORDS FROM TABLE-> ",TABLENAME[1]
ECHO OFF

VIEW "MERGED"
VIEW Tablename[1]

FOR COUNT FROM 1 to NRECORDS(TABLENAME[1])
  MOVETO TABLENAME[1]
  Moveto RECORD COUNT
  COPYTOARRAY TRANS
  EDIT "MERGED"
  MOVETO RECORD NRECORDS("MERGED")
  DOWN
  COPYFROMARRAY TRANS
  MESSAGE "COPYING RECORD # ",COUNT," out of ",NRECORDS(TABLENAME[1])
  Do_IT!
ENDFOR 

CLEARALL
ECHO NORMAL
?"  COPYING RECORDS FROM TABLE-> ",TABLENAME[2]
ECHO OFF

View Tablename[2]
FOR COUNT FROM 1 to NRECORDS(TABLENAME[2])
  MESSAGE "COPYING RECORD # ",COUNT," out of ",NRECORDS(TABLENAME[2])
  MOVETO TABLENAME[2]
  Moveto RECORD COUNT
  COPYTOARRAY TRANS
  EDIT "MERGED"
      MOVETO RECORD NRECORDS("MERGED")
      MOVETO FIELD TABL1[1]
      DOWN
      FOR count1 from 1 to nfields("MERGED") 
         FOR COUNT2 from 1 to NFIELDS(TABLENAME[2])
           IF field()=TABL2[COUNT2] then
            []=TRANS[count2+1]
           ENDIF
         ENDFOR
       
        RIGHT
      ENDFOR   
    Do_IT!
ENDFOR 
ECHO NORMAL
VIEW "MERGED"